Bug 859861 - extras don't respect autotools ${docdir} variable
extras don't respect autotools ${docdir} variable
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kacper Kowalik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 04:41 EDT by Kacper Kowalik
Modified: 2013-07-24 13:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:18:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kacper Kowalik 2012-09-24 04:41:30 EDT
docdir variable is overwritten in extras/Makefile.am extras/benchmarking/Makefile.am
As result package maintainers have no control over the destination directory for a few doc files.
Comment 1 Niels de Vos 2012-10-11 04:39:27 EDT
The proposed patch (http://review.gluster.com/3971) failed building.

Please check http://build.gluster.com/job/glusterfs/4519/console for details.

Could you propose an updated patch that passes the build-test?

Thanks!
Comment 2 Vijay Bellur 2013-02-07 19:38:21 EST
CHANGE: http://review.gluster.org/3971 (Respect autotools docdir variable) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.